package com.ruoyi.mall.service.impl;

import java.util.List;

import com.ruoyi.mall.domain.MallConfig;
import com.ruoyi.mall.domain.Vo.ExplainConfigVO;
import com.ruoyi.mall.mapper.MallConfigMapper;
import com.ruoyi.mall.service.IMallConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 配置Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-09
 */
@Service
public class MallConfigServiceImpl implements IMallConfigService
{
    @Resource
    private MallConfigMapper mallConfigMapper;

    /**
     * 查询配置
     *
     * @param id 配置主键
     * @return 配置
     */
    @Override
    public MallConfig selectMallConfigById(Long id)
    {
        return mallConfigMapper.selectMallConfigById(id);
    }

    /**
     * 查询配置列表
     *
     * @param mallConfig 配置
     * @return 配置
     */
    @Override
    public List<MallConfig> selectMallConfigList(MallConfig mallConfig)
    {
        return mallConfigMapper.selectMallConfigList(mallConfig);
    }

    /**
     * 新增配置
     *
     * @param mallConfig 配置
     * @return 结果
     */
    @Override
    public int insertMallConfig(MallConfig mallConfig)
    {

        return mallConfigMapper.insertMallConfig(mallConfig);
    }

    /**
     * 修改配置
     *
     * @param mallConfig 配置
     * @return 结果
     */
    @Override
    public int updateMallConfig(MallConfig mallConfig)
    {
        return mallConfigMapper.updateMallConfig(mallConfig);
    }

    /**
     * 批量删除配置
     *
     * @param ids 需要删除的配置主键
     * @return 结果
     */
    @Override
    public int deleteMallConfigByIds(Long[] ids)
    {
        return mallConfigMapper.deleteMallConfigByIds(ids);
    }

    /**
     * 删除配置信息
     *
     * @param id 配置主键
     * @return 结果
     */
    @Override
    public int deleteMallConfigById(Long id)
    {
        return mallConfigMapper.deleteMallConfigById(id);
    }

    /**
     * 根据标识查询配置
     *
     * @param mark 标识
     * @return 配置
     */
    @Override
    public MallConfig selectMallConfigByMarK(String mark) {
        return mallConfigMapper.selectMallConfigByMarK(mark);
    }

    /**
     * 根据标记查询说明配置
     * @param mark 标记
     * @return 结果
     */
    @Override
    public ExplainConfigVO selectExplainConfig(String mark) {
        return mallConfigMapper.selectExplainConfig(mark);
    }
}
